## filo 1.1+2011020401.2

=== src/groupBy/Makefile ===
UTILITIES_DIR = ../common/
OBJ_DIR = ../../obj/
BIN_DIR = ../../bin/


# -------------------
# define our includes
# -------------------
INCLUDES = -I$(UTILITIES_DIR)/tabFile/ -I$(UTILITIES_DIR)/lineFileUtilities/ -I$(UTILITIES_DIR)/version/ -I$(UTILITIES_DIR)/gzstream/ -I$(UTILITIES_DIR)/fileType/

# ----------------------------------
# define our source and object files
# ----------------------------------
SOURCES= groupBy.cpp
OBJECTS= $(SOURCES:.cpp=.o)
_EXT_OBJECTS=tabFile.o gzstream.o fileType.o
EXT_OBJECTS=$(patsubst %,$(OBJ_DIR)/%,$(_EXT_OBJECTS))
BUILT_OBJECTS= $(patsubst %,$(OBJ_DIR)/%,$(OBJECTS))
PROGRAM= groupBy


all: $(PROGRAM)

.PHONY: all


$(PROGRAM): $(BUILT_OBJECTS) $(EXT_OBJECTS)
	@echo "  * linking $(PROGRAM)"
	@$(CXX) $(LDFLAGS) $(CXXFLAGS) -o $(BIN_DIR)/$@ $^ $(LIBS)

$(BUILT_OBJECTS): $(SOURCES)
	@echo "  * compiling" $(*F).cpp
	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(INCLUDES)

$(EXT_OBJECTS):
	@$(MAKE) --no-print-directory -C $(UTILITIES_DIR)/tabFile/
	@$(MAKE) --no-print-directory -C $(UTILITIES_DIR)/gzstream/
	@$(MAKE) --no-print-directory -C $(UTILITIES_DIR)/fileType/	
	
clean:
	@echo "Cleaning up."
	@rm -f $(OBJ_DIR)/* $(BIN_DIR)/*

.PHONY: clean

## filo 1.1%2B2011123001.1

=== debian/control ===
Source: filo
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               zlib1g-dev
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/filo.git
Vcs-Git: git://anonscm.debian.org/debian-med/filo.git
Homepage: https://github.com/arq5x/filo

Package: filo
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: FILe and stream Operations
 The following tools are available as part of the filo package:
 .
 groupBy – mimics the “groupBy” clause in database systems.
 .
 shuffle – randomize the order of lines in a file.
 .
 stats – computes descriptive statistic on a given column of a tab-delimited
 file or stream.
 .
 Because their name is too generic, ‘shuffle’ and ‘stats’ are relocated in
 /usr/lib/filo.

## filo 1.1+2011020401.2

=== debian/changelog ===
filo (1.1+2011020401.2) unstable; urgency=low

  * debian/copyright:
    [09cf1810] Documented missing files, licensed under the GNU GPL version 2.
    [29eb9074] Corrected FSF postal address.

 -- Charles Plessy <plessy@debian.org>  Tue, 16 Aug 2011 07:26:19 +0900

filo (1.1+2011020401.1) UNRELEASED; urgency=low

  * Initial release (Closes: #629641)

 -- Charles Plessy <plessy@debian.org>  Fri, 12 Aug 2011 13:29:17 +0900

=== debian/control ===
Source: filo
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Charles Plessy <plessy@debian.org>
Build-Depends: debhelper (>= 8), zlib1g-dev
Standards-Version: 3.9.2
Homepage: https://github.com/arq5x/filo
Vcs-Git: git://git.debian.org/debian-med/filo.git
Vcs-Browser: http://git.debian.org/?p=debian-med/filo.git

Package: filo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FILe and stream Operations
 The following tools are available as part of the filo package:
 .
 groupBy – mimics the “groupBy” clause in database systems.
 .
 shuffle – randomize the order of lines in a file.
 .
 stats – computes descriptive statistic on a given column of a tab-delimited
 file or stream.
 .
 Because their name is too generic, ‘shuffle’ and ‘stats’ are relocated in
 /usr/lib/filo.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_builddeb:
	dh_builddeb -- -Z xz

## filo 1.1+2011020401.2ubuntu1

=== debian/changelog ===
filo (1.1+2011020401.2ubuntu1) precise; urgency=low

  * Pre-Depends: dpkg (>= 1.15.6) for xz compression support.  Needed until
    after Ubuntu 12.04 LTS.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 20 Oct 2011 14:49:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: filo
 Section: science
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 DM-Upload-Allowed: yes
 Uploaders: Charles Plessy <plessy@debian.org>
 Build-Depends: debhelper (>= 8), zlib1g-dev
@@ -12,6 +13,7 @@
 
 Package: filo
 Architecture: any
+Pre-Depends: dpkg (>= 1.15.6)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: FILe and stream Operations
  The following tools are available as part of the filo package:

## filo 1.1+2011123001.1

=== src/common/fileType/Makefile ===
OBJ_DIR = ../../../obj/
BIN_DIR = ../../../bin/
UTILITIES_DIR = ../../utils/
# -------------------
# define our includes
# -------------------
INCLUDES = 

# ----------------------------------
# define our source and object files
# ----------------------------------
SOURCES= fileType.cpp
OBJECTS= $(SOURCES:.cpp=.o)
_EXT_OBJECTS=	
EXT_OBJECTS=$(patsubst %,$(OBJ_DIR)/%,$(_EXT_OBJECTS))
BUILT_OBJECTS= $(patsubst %,$(OBJ_DIR)/%,$(OBJECTS))

$(BUILT_OBJECTS): $(SOURCES)
	@echo "  * compiling" $(*F).cpp
	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(INCLUDES)

$(EXT_OBJECTS):
	@$(MAKE) --no-print-directory -C $(INCLUDES)

clean:
	@echo "Cleaning up."
	@rm -f $(OBJ_DIR)/* $(BIN_DIR)/*

.PHONY: clean

=== debian/changelog ===
filo (1.1+2011123001.1) unstable; urgency=low

  be0c1cd Enhances: bedtools
  a79310d Normalised debian/control with ‘config-model-edit’.
  9f90d4b Normalised VCS URLs.
  026039b Using Debhelper 9.
  14c9682 Normalised Debian copyright file with ‘config-model-edit’.
  7ea1656 Removed command for XZ compression as it is default now.

 -- Charles Plessy <plessy@debian.org>  Tue, 26 Nov 2013 08:39:59 +0900

## filo 1.1.0

=== Makefile ===
# ==========================
# BEDTools Makefile
# (c) 2009 Aaron Quinlan
# ==========================

# define our object and binary directories
export OBJ_DIR	= obj
export BIN_DIR	= bin
export SRC_DIR	= src
export CXX		= g++
export CXXFLAGS = -Wall -O2
export LIBS		= -lz




SUBDIRS = $(SRC_DIR)/groupBy \
          $(SRC_DIR)/shuffle \
          $(SRC_DIR)/stats \

UTIL_SUBDIRS =	$(SRC_DIR)/common/tabFile \
				$(SRC_DIR)/common/gzstream \
				$(SRC_DIR)/common/fileType \

all:
	[ -d $(OBJ_DIR) ] || mkdir -p $(OBJ_DIR)
	[ -d $(BIN_DIR) ] || mkdir -p $(BIN_DIR)
	
	@echo "========================================================="
	@echo "Building filo:"
	@echo "========================================================="
	
	@for dir in $(UTIL_SUBDIRS); do \
		echo "- Building in $$dir"; \
		$(MAKE) --no-print-directory -C $$dir; \
		echo ""; \
	done

	@for dir in $(SUBDIRS); do \
		echo "- Building in $$dir"; \
		$(MAKE) --no-print-directory -C $$dir; \
		echo ""; \
	done


.PHONY: all

clean:
	@echo "Cleaning up."
	@rm -f $(OBJ_DIR)/* $(BIN_DIR)/*

.PHONY: clean

=== src/shuffle/Makefile ===
UTILITIES_DIR = ../common/
OBJ_DIR = ../../obj/
BIN_DIR = ../../bin/


# -------------------
# define our includes
# -------------------
INCLUDES = -I$(UTILITIES_DIR)/version/

# ----------------------------------
# define our source and object files
# ----------------------------------
SOURCES= shuffle.cpp
OBJECTS= $(SOURCES:.cpp=.o)
EXT_OBJECTS=$(patsubst %,$(OBJ_DIR)/%
PROGRAM= shuffle


all: $(PROGRAM)

.PHONY: all


$(PROGRAM):
	@echo "  * linking $(PROGRAM)"
	@$(CXX) $(LDFLAGS) $(CXXFLAGS) $(SOURCES) $(INCLUDES) -o $(BIN_DIR)/$@

=== src/stats/Makefile ===
UTILITIES_DIR = ../common/
OBJ_DIR = ../../obj/
BIN_DIR = ../../bin/


# -------------------
# define our includes
# -------------------
INCLUDES = -I$(UTILITIES_DIR)/tabFile/ -I$(UTILITIES_DIR)/lineFileUtilities/ -I$(UTILITIES_DIR)/version/ -I$(UTILITIES_DIR)/gzstream/ -I$(UTILITIES_DIR)/fileType/

# ----------------------------------
# define our source and object files
# ----------------------------------
SOURCES= stats.cpp
OBJECTS= $(SOURCES:.cpp=.o)
_EXT_OBJECTS=tabFile.o gzstream.o fileType.o
EXT_OBJECTS=$(patsubst %,$(OBJ_DIR)/%,$(_EXT_OBJECTS))
BUILT_OBJECTS= $(patsubst %,$(OBJ_DIR)/%,$(OBJECTS))
PROGRAM= stats


all: $(PROGRAM)

.PHONY: all


$(PROGRAM): $(BUILT_OBJECTS) $(EXT_OBJECTS)
	@echo "  * linking $(PROGRAM)"
	@$(CXX) $(LDFLAGS) $(CXXFLAGS) -o $(BIN_DIR)/$@ $^ $(LIBS)

$(BUILT_OBJECTS): $(SOURCES)
	@echo "  * compiling" $(*F).cpp
	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(INCLUDES)

$(EXT_OBJECTS):
	@$(MAKE) --no-print-directory -C $(UTILITIES_DIR)/tabFile/
	@$(MAKE) --no-print-directory -C $(UTILITIES_DIR)/gzstream/
	@$(MAKE) --no-print-directory -C $(UTILITIES_DIR)/fileType/	
	
clean:
	@echo "Cleaning up."
	@rm -f $(OBJ_DIR)/* $(BIN_DIR)/*

.PHONY: clean

=== src/common/gzstream/Makefile ===
# ============================================================================
# gzstream, C++ iostream classes wrapping the zlib compression library.
# Copyright (C) 2001  Deepak Bandyopadhyay, Lutz Kettner
# 
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
# 
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
# 
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
# ============================================================================
# 
# File          : Makefile
# Revision      : $Revision: 1.3 $
# Revision_date : $Date: 2001/10/04 15:09:28 $
# Author(s)     : Deepak Bandyopadhyay, Lutz Kettner
# 
# ============================================================================

# ----------------------------------------------------------------------------
# adapt these settings to your need:
# add '-DGZSTREAM_NAMESPACE=name' to CPPFLAGS to place the classes
# in its own namespace. Note, this macro needs to be set while creating
# the library as well while compiling applications based on it.
# As an alternative, gzstream.C and gzstream.h can be edited.
# ----------------------------------------------------------------------------

CXX = g++ 
CXXFLAGS = -I. -O2 -Wall
LDFLAGS  =  -L. -lgzstream -lz
OBJ_DIR = ../../../obj/
BIN_DIR = ../../../bin/
	
${OBJ_DIR}/gzstream.o : gzstream.C gzstream.h
	${CXX} ${CXXFLAGS} -c -o ${OBJ_DIR}/gzstream.o gzstream.C

clean:
	@echo "Cleaning up."
	@rm -f $(OBJ_DIR)/* $(BIN_DIR)/*

.PHONY: clean

=== src/common/tabFile/Makefile ===
OBJ_DIR = ../../../obj/
BIN_DIR = ../../../bin/
UTILITIES_DIR = ../../common/
# -------------------
# define our includes
# -------------------
INCLUDES = -I$(UTILITIES_DIR)/lineFileUtilities/ -I$(UTILITIES_DIR)/gzstream/ -I$(UTILITIES_DIR)/fileType/

# ----------------------------------
# define our source and object files
# ----------------------------------
SOURCES= tabFile.cpp
OBJECTS= $(SOURCES:.cpp=.o)
_EXT_OBJECTS=lineFileUtilities.o gzstream.o fileType.o
EXT_OBJECTS=$(patsubst %,$(OBJ_DIR)/%,$(_EXT_OBJECTS))
BUILT_OBJECTS= $(patsubst %,$(OBJ_DIR)/%,$(OBJECTS))

$(BUILT_OBJECTS): $(SOURCES)
	@echo "  * compiling" $(*F).cpp
	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(INCLUDES)

$(EXT_OBJECTS):
	@$(MAKE) --no-print-directory -C -W $(INCLUDES)

clean:
	@echo "Cleaning up."
	@rm -f $(OBJ_DIR)/* $(BIN_DIR)/*

.PHONY: clean

=== debian/changelog ===
filo (1.1.0-3) unstable; urgency=medium

  * Fix Mayhem-induced segfault
    Closes: #716357
  * Re-import tarball with pristine-tar

 -- Kevin Murray <spam@kdmurray.id.au>  Tue, 22 Dec 2015 00:54:45 +1100

=== debian/control ===
Source: filo
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>,
           Kevin Murray <spam@kdmurray.id.au>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               zlib1g-dev
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/filo.git
Vcs-Git: git://anonscm.debian.org/debian-med/filo.git
Homepage: https://github.com/arq5x/filo

Package: filo
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: FILe and stream Operations
 The following tools are available as part of the filo package:
 .
 groupBy – mimics the “groupBy” clause in database systems.
 .
 shuffle – randomize the order of lines in a file.
 .
 stats – computes descriptive statistic on a given column of a tab-delimited
 file or stream.
 .
 Because their name is too generic, ‘shuffle’ and ‘stats’ are relocated in
 /usr/lib/filo.
